csWeakRefArray< T, Allocator, CapacityHandler > Class Template Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
csWeakRefArray< T, Allocator, CapacityHandler > Class Template Reference

An array of weak references. More...

`#include <csutil/weakrefarr.h>`

Inheritance diagram for csWeakRefArray< T, Allocator, CapacityHandler >:

List of all members.

## Public Member Functions
void | Compact ()
| Compact this array by removing all weak references that have become 0.
| csWeakRefArray (int ilimit=0, const CapacityHandler &ch=CapacityHandler())
| Initialize object to hold initially 'ilimit' elements, and increase storage by 'ithreshold' each time the upper bound is exceeded.

## Detailed Description

### template<class T, class Allocator = CS::Memory::AllocatorMalloc, class CapacityHandler = CS::Container::ArrayCapacityDefault>
class csWeakRefArray< T, Allocator, CapacityHandler >

An array of weak references.

Definition at line 43 of file weakrefarr.h.

## Constructor & Destructor Documentation

template<class T, class Allocator = CS::Memory::AllocatorMalloc, class CapacityHandler = CS::Container::ArrayCapacityDefault>

csWeakRefArray< T, Allocator, CapacityHandler >::csWeakRefArray | ( | int | ilimit = `0`,
|  | const CapacityHandler & | ch = `CapacityHandler()`
| ) |  | `[inline]`

Initialize object to hold initially 'ilimit' elements, and increase storage by 'ithreshold' each time the upper bound is exceeded.

Definition at line 51 of file weakrefarr.h.

## Member Function Documentation

template<class T, class Allocator = CS::Memory::AllocatorMalloc, class CapacityHandler = CS::Container::ArrayCapacityDefault>

void csWeakRefArray< T, Allocator, CapacityHandler >::Compact | ( |  | ) | `[inline]`

Compact this array by removing all weak references that have become 0.

Definition at line 61 of file weakrefarr.h.

The documentation for this class was generated from the following file:

- csutil/weakrefarr.h